package de.ivu.elect.business.kandidatenportal.control;

import javax.inject.Inject;

import de.ivu.elect.business.datei.boundary.DateiImportDAO;
import de.ivu.elect.business.datei.entity.DateiImport;
import de.ivu.elect.business.kandidatenportal.boundary.WvpBenutzerDAO;
import de.ivu.elect.business.kandidatenportal.entity.WvpBenutzer;
import de.ivu.elect.business.kandidatenportal.entity.WvpWahlvorschlagDaten;

public class WvpWahlvorschlagDatenCreate extends AbstractWvpWahlvorschlagDatenCreate {

  @Inject
  private transient WvpBenutzerDAO wvpBenutzerDAO;

  @Inject
  private transient DateiImportDAO dateiImportDAO;

  @Override
  public void save(WvpWahlvorschlagDaten wvpWahlvorschlagDaten) {
    WvpBenutzer wvpBenutzerAttached = wvpBenutzerDAO.attach(wvpWahlvorschlagDaten.getWvpBenutzer());
    wvpWahlvorschlagDaten.setWvpBenutzer(wvpBenutzerAttached);

    DateiImport dateiImportAttached = dateiImportDAO.attach(wvpWahlvorschlagDaten.getDateiImport());
    wvpWahlvorschlagDaten.setDateiImport(dateiImportAttached);

    super.save(wvpWahlvorschlagDaten);
  }
}
